Rated 5 out of 5 stars

Essential extension. Please upgrade it to use with FF 3.6.

This review is for a previous version of the add-on (1.0.7.5).